-- searches for a specific item's information in value_table.lua
function search_for_item(itemname)
    for index, value in next, dkp_value_table do
        if value["item"] == itemname then
            return value
        end
    end
end

-- translates an item's ranking into its dkp value
function ranking_to_dkp(ranking)
    result = 0
    
    if ranking == "S" then
        result = 120
    elseif ranking == "A" then
        result = 75
    elseif ranking == "B" then
        result = 45
    elseif ranking == "C" then
        result = 15
	elseif ranking == "BWLG-S" then
        result = 90
    elseif ranking == "BWLG-A" then
        result = 68
    elseif ranking == "BWLG-B" then
        result = 45
    elseif ranking == "BWLG-C" then
        result = 23
	elseif ranking == "BWLW-S" then
        result = 120
    elseif ranking == "BWLW-A" then
        result = 90
    elseif ranking == "BWLW-B" then
        result = 60
    elseif ranking == "BWLW-C" then
        result = 30
	elseif ranking == "BWLA-S" then
        result = 110
    elseif ranking == "BWLA-A" then
        result = 83
	elseif ranking == "BWLA-B" then
        result = 55
	elseif ranking == "BWLA-C" then
        result = 28
	elseif ranking == "BWLN-S" then
        result = 100
    elseif ranking == "BWLN-A" then
        result = 75
	elseif ranking == "BWLN-B" then
        result = 50
	elseif ranking == "BWLN-C" then
        result = 25
	elseif ranking == "T1" then
		result = 30
	elseif ranking == "T2" then
		result = 45
	elseif ranking == "MC-S" then
		result = 60	
	elseif ranking == "MC-A" then
		result = 45
	elseif ranking == "MC-B" then
		result = 30
	elseif ranking == "MC-C" then
		result = 15
    end
    
    return result
end

-- returns the class icon path, formatted as 12x12 pixels with a 2 pixel offset
function get_class_icon(class)
    result = ""
    
    if class == "protwarr" then
        result = "|TINTERFACE\\ICONS\\ability_warrior_defensivestance:12:12:0:0:64:64:4:60:4:60|t"
    elseif class == "dwprotwarr" then
        result = "|TINTERFACE\\ICONS\\ability_dualwield:12:12:0:0:64:64:4:60:4:60|t"
    elseif class == "furywarr" then
        result = "|TINTERFACE\\ICONS\\ability_warrior_innerrage:12:12:0:0:64:64:4:60:4:60|t"
    elseif class == "hpal" then
        result = "|TINTERFACE\\ICONS\\inv_hammer_01.png:12:12:0:0:64:64:4:60:4:60|t"
    elseif class == "hunter" then
        result = "|TINTERFACE\\ICONS\\inv_weapon_bow_07.png:12:12:0:0:64:64:4:60:4:60|t"
    elseif class == "rogue" then
        result = "|TINTERFACE\\ICONS\\inv_throwingknife_04.png:12:12:0:0:64:64:4:60:4:60|t"
    elseif class == "rdruid" then
        result = "|TINTERFACE\\ICONS\\spell_nature_healingtouch:12:12:0:0:64:64:4:60:4:60|t"
    elseif class == "fdruiddps" then
        result = "|TINTERFACE\\ICONS\\ability_druid_catform:12:12:0:0:64:64:4:60:4:60|t"
    elseif class == "fdruidtank" then
        result = "|TINTERFACE\\ICONS\\ability_racial_bearform:12:12:0:0:64:64:4:60:4:60|t"
    elseif class == "mage" then
        result = "|TINTERFACE\\ICONS\\inv_staff_13.png:12:12:0:0:64:64:4:60:4:60|t"
    elseif class == "wl" then
        result = "|TINTERFACE\\ICONS\\spell_nature_drowsy.png:12:12:0:0:64:64:4:60:4:60|t"
    elseif class == "hpriest" then
        result = "|TINTERFACE\\ICONS\\inv_staff_30.png:12:12:0:0:64:64:4:60:4:60|t"
    elseif class == "spriest" then
        result = "|TINTERFACE\\ICONS\\spell_shadow_shadowwordpain:12:12:0:0:64:64:4:60:4:60|t"
    end
    
    return result
end
